Bug 707664 - Shrinking gnome-terminal under KDE (workaround)
Shrinking gnome-terminal under KDE (workaround)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 12:47 EDT by Kriton Kyrimis
Modified: 2013-07-19 08:53 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 846582 (view as bug list)
Environment:
Last Closed: 2012-08-07 13:09:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 649680 None None None Never
Launchpad 880734 None None None Never

  None (edit)
Description Kriton Kyrimis 2011-05-25 12:47:29 EDT
Description of problem:
When I start gnome-terminal under KDE, it opens at the correct size, then shrinks smoothly to its minimum size, so that the menu bar and the scroll bar barely fit.

Version-Release number of selected component (if applicable):
gnome-terminal-3.0.1-1.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start gnome-terminal under KDE.
  
Actual results:
Gnome-terminal shrinks smoothly to its minimum size.

Expected results:
The terminal's window should not change.

Additional info:
After the window shrinks, it is possible to resize it by hand. However, if I open another terminal, the new terminal shrinks again.

Turning off desktop effects does not help.

The program works correctly under GNOME, so I don't know if the problem is with gnome-terminal, KDE, or both.
Comment 1 Richard Kennedy 2011-05-27 06:23:34 EDT
I'm seeing this as well
Comment 2 Richard Kennedy 2011-05-27 07:16:07 EDT
If I open a terminal resize it to a useful size,
 then opening a new tab, (Shift-Ctrl-T),

it shrinks back to a useless postage stamp size :(

Opening a new terminal Shift-Ctrl-N , opens up a window at the correct size which then shrinks.

Richard
Comment 3 John Griffiths 2011-06-06 01:36:58 EDT
This is happening in i686 as well. I also have a problem under kde that if I resize the gnome-terminal the terminal loses focus and I cannot type anything in it until I leave the teminal, let another ap have focus and return. Additionally, if I use the menu to try to reset the teminal when it has lost the ability to accept characters that are typed, the menu cannot be selected or dismissed until the terminal have been obscured by another ap like firefox. When the terminal is redislayed, it is often totally blank an must be moved for it to refresh. It is somewhat usable then until you want a new tab or something.
Comment 4 jack+bugzilla 2011-06-12 12:47:18 EDT
I have this same issue
open gnome-terminal, it opens at 1024x750
gnome-terminal shrinks to something more in the range 100x100. 
I see the terminal shrink dynamically... it doesn't go from big to small in the blink of an eye... the termial dynamically resizes many, many times over the span of a second

This happens under both GNOME ( I don't use KDE ) or if I ssh to my Fedora 15 box and just run gnome-terminal over ssh. I can use the --geometry=1024x750 option on gnome-termial to set a size at start up OR I can let the system use the default size... in both cases, the terminal shrinks. 

jack
Comment 5 Richard R. Spurlock 2011-06-23 18:54:34 EDT
Is there anything that we can provide to assist with this?  With Konsole not using/respecting --geometry parameters under KDE for the past few years, this is increasingly important under Fedora 15.
Comment 6 Bill Perilli 2011-06-26 17:02:24 EDT
This problem has vexed me as well.
I have a fix for it that works on my system. Specifically this is for KDE4 using plasma and for running gnome-terminal which seems to be annoyingly resizing seemingly without reason. 

make a window rule for gnome-terminal and tell it to 'strictly obey geometry' in 'Workarounds', choosing either 'force' or 'force temporarily' 

There is a setting that can be made within a window rule. One needs a rule for a gnome-terminal window. You can get this by choosing 'Special Applications Settings' from the Windows Advanced menu. Once you set up this rule go into it and make sure you have it apply to all gnome-terminal windows. Or, it can be set for subsets of gnome-terminal windows as you desire.
Basically set up a geometry that makes sense for your use. Then select, from the 'advanced' tab 
make a window rule for gnome-terminal and tell it to 'strictly obey geometry' in Workarounds, choosing either 'force' or 'force temporarily' 

After the rule is created you get at the rule from the Configure Window Behavior applet, also available in the tilebar. If you get at it from how you created it, you actually create a new rule. So once you set up the rule when you need to tweak around with it access it through the Configure Window Behavior applet.
Comment 7 Steve Kelem 2011-06-30 17:19:18 EDT
This also happens under XFCE4 on Fedora 15 x86_64.
Comment 8 Stuart R. DeGraaf 2011-07-06 23:19:04 EDT
My bugfix for this problem under XFCE4: install/use roxterm.
Now... what to do about systemctl???
Comment 9 hcgpalm 2011-07-18 09:25:56 EDT
Same problem on i686, not surprisingly.
The window rule workaround, however, does NOT work for me...
Comment 10 Martin Gradwell 2011-08-27 20:22:35 EDT
I'm able to work around the problem by using the black menu button in the top left hand corner of the terminal window, and selecting Advanced > Fullscreen.

This is less than ideal, since there will be circumstances where I don't actually want the terminal to occupy the full screen, but it's a big improvement on having a postage-stamp-sized terminal window.
Comment 11 David Timms 2011-10-31 19:59:37 EDT
(In reply to comment #6)
> make a window rule for gnome-terminal and tell it to 'strictly obey geometry'
> in 'Workarounds', choosing either 'force' or 'force temporarily' 

After trying many combinations, Bill's workaround (now I understand kde's method)
is successful:
Setup:
- use mouse to move and resize gnome-terminal to desired pos/size.
- gnome-terminal: title bar menu | advanced | special window settings
- in edit window - specific settings: workarounds tab
- strictly obey geometry = check | dropdown = force
- OK.
    Each time you do this, a new entry gets placed in the Configure Window Behaviour | Window Rules list.

Changing:
- gnome-terminal: title bar menu | Configure Window Behaviour
- in Configure - KDE Control Module: scroll down to Window Rules
- RHS: click Window settings for gnome-terminal | Modify
- Window tab | Window Role = "" (remove the text indicating a specific window)
- OK.

Test:
- close gnome-terminal
- start gnome-terminal (yay!)
Comment 12 Kriton Kyrimis 2011-11-08 15:11:29 EST
The bug is present in Fedora 16, as well.
Comment 13 Fedora Admin XMLRPC Client 2012-01-10 10:44:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2012-01-10 10:47:21 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 egberts 2012-04-19 04:55:34 EDT
I was able to arrest the auto-shrinkage of gnome-terminal by disabling the setting for the following:

KDE 4.6.5
KDE System Setting 1.0
 - Workspace Appearance and Behavior
   - Desktop Effects ( KDE Desktop Effect 4.6.5 )
     - 'All Effects' tab window
       - 'Windows Management' group
         - 'Resize Windows' checkbox  (UNCHECK THIS)
- Press 'Apply' button

Voila... no more nasty auto-shrinkage of gnome-terminal.

Good enough until the next release of gnome-terminal.
Comment 16 Dan Christian 2012-04-21 16:09:51 EDT
egberts solution half works for me.  

The resize window checkbox was not checked, so I checked it, apply, and un-checked it.  Now new windows shrink to minimum height, but maintain their width.

I also David Timms suggestion and it now works fine when I add a new tab.

It's just the new window that is still shrinking on it's own.

I never had this problem until I upgraded to F16 (I skipped F15).

-Dan
Comment 17 Pasi Sainio 2012-06-06 00:19:46 EDT
One additional observation 
gnome-terminal-2.32.0-1.fc14.x86_64 binary copied from FC14 seems to work just fine in FC16 and KDE
Comment 18 Fedora End Of Life 2012-08-07 13:09:18 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Kyle Moore 2012-08-13 11:01:18 EDT
(In reply to comment #11)
> (In reply to comment #6)
> > make a window rule for gnome-terminal and tell it to 'strictly obey geometry'
> > in 'Workarounds', choosing either 'force' or 'force temporarily' 
> 
> After trying many combinations, Bill's workaround (now I understand kde's
> method)
> is successful:
> Setup:
> - use mouse to move and resize gnome-terminal to desired pos/size.
> - gnome-terminal: title bar menu | advanced | special window settings
> - in edit window - specific settings: workarounds tab
> - strictly obey geometry = check | dropdown = force
> - OK.
>     Each time you do this, a new entry gets placed in the Configure Window
> Behaviour | Window Rules list.
> 
> Changing:
> - gnome-terminal: title bar menu | Configure Window Behaviour
> - in Configure - KDE Control Module: scroll down to Window Rules
> - RHS: click Window settings for gnome-terminal | Modify
> - Window tab | Window Role = "" (remove the text indicating a specific
> window)
> - OK.
> 
> Test:
> - close gnome-terminal
> - start gnome-terminal (yay!)

This option worked great for me. Thank You!
Comment 20 Joel 2013-05-20 13:35:35 EDT
This problem still exists in fedora 18.  gnome-terminal shrinks to minimum size in KDE.
Comment 21 Matus Kocka 2013-07-19 08:02:37 EDT
This problem still exists in fedora 19
Comment 22 Rex Dieter 2013-07-19 08:53:49 EDT
resetting WONTFIX -> UPSTREAM , I'd recommend followups to go there,
https://bugzilla.gnome.org/show_bug.cgi?id=649680

Note You need to log in before you can comment on or make changes to this bug.